com.sap.core.connectivity.api.validation.consts

## Interface HttpConstants

-     public interface HttpConstants

  Provides constants which are HTTP Destination specific.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APP_TO_APP_SSO` Authentication type - App to App SSO.
    `static String` | `ASSERTION_ISSUER` OAuth2SAMLBearerAssertion property - assertionIssuer.
    `static String` | `AUDIENCE` Audience property for OAuth2SAMLBearerAssertion.
    `static String` | `AUTHENTICATION` Authentication property.
    `static String` | `BASIC_AUTHENTICATION` Authentication type - Basic.
    `static String` | `CERTIFICATE` Certificate property for SAPAssertionSSO.
    `static String` | `CLIENT_CERTIFICATE_AUTHENTICATION` Authentication type - Client Certificate Authentication.
    `static String` | `CLIENT_ID` System user property for OAuth2ClientCredentials.
    `static String` | `CLIENT_KEY` Client key property for OAuth2SAMLBearerAssertion.
    `static String` | `CLIENT_SECRET` System user property for OAuth2ClientCredentials.
    `static String` | `CLOUD_CONNECTOR_VERSION` Cloud Connector version property.
    `static String` | `COMPANY_ID` OAuth2SAMLBearerAssertion property - companyId.
    `static String` | `HTTPS` HTTPS URL prefix.
    `static String` | `ISSUER_CLIENT` Issuer client property for SAPAssertionSSO.
    `static String` | `ISSUER_SID` Issuer SID property for SAPAssertionSSO.
    `static String` | `LOCATION_ID` The cloud connector location id property for HTTP destinations.
    `static String` | `NAME_QUALIFIER` OAuth2SAMLBearerAssertion property - nameQualifier.
    `static String` | `NO_AUTHENTICATION` Authentication type - No authentication.
    `static String` | `OAUTH_2_CLIENT_CREDENTIALS` Authentication type - OAuth2 Client Credentials.
    `static String` | `OAUTH_2_SAML_BEARER_ASSERTION` Authentication type - OAuth2 SAML Bearer Assertion.
    `static String` | `PASSWORD` Password property for Basic authentication.
    `static String` | `PRINCIPAL_PROPAGATION` Authentication type - Principal propagation.
    `static String` | `PROXY_TYPE` Proxy type property.
    `static String` | `PROXY_TYPE_INTERNET` Proxy type property - Internet.
    `static String` | `PROXY_TYPE_ON_PREMISE` Proxy type property - On premise.
    `static String` | `RECIPIENT_CLIENT` Recipient client property for SAPAssertionSSO.
    `static String` | `RECIPIENT_SID` Recipient SID property for SAPAssertionSSO.
    `static String` | `SAP_ASSERTION_SSO` Authentication type - SAP Assertion SSO.
    `static String` | `SCOPE` OAuth2SAMLBearerAssertion property - scope.
    `static String` | `SIGNING_KEY` Signing key property for SAPAssertionSSO.
    `static String` | `SYSTEM_USER` System user property for OAuth2SAMLBearerAssertion.
    `static String` | `TOKEN_SERVICE_PASSWORD` Token service password property for OAuth2SAMLBearerAssertion.
    `static String` | `TOKEN_SERVICE_URL` Token service URL property for OAuth2SAMLBearerAssertion.
    `static String` | `TOKEN_SERVICE_USER` Token service user property for OAuth2SAMLBearerAssertion.
    `static String` | `TRUST_ALL` TrustAll property.
    `static String` | `URL` URL property.
    `static String` | `USER` User property for Basic authentication.

- - ### Field Detail

    - #### URL

          static final String URL

      URL property.
      See Also:
        Constant Field Values

    - #### HTTPS

          static final String HTTPS

      HTTPS URL prefix.
      See Also:
        Constant Field Values

    - #### PROXY_TYPE

          static final String PROXY_TYPE

      Proxy type property.
      See Also:
        Constant Field Values

    - #### PROXY_TYPE_INTERNET

          static final String PROXY_TYPE_INTERNET

      Proxy type property - Internet.
      See Also:
        Constant Field Values

    - #### PROXY_TYPE_ON_PREMISE

          static final String PROXY_TYPE_ON_PREMISE

      Proxy type property - On premise.
      See Also:
        Constant Field Values

    - #### AUDIENCE

          static final String AUDIENCE

      Audience property for OAuth2SAMLBearerAssertion.
      See Also:
        Constant Field Values

    - #### CLIENT_KEY

          static final String CLIENT_KEY

      Client key property for OAuth2SAMLBearerAssertion.
      See Also:
        Constant Field Values

    - #### TOKEN_SERVICE_URL

          static final String TOKEN_SERVICE_URL

      Token service URL property for OAuth2SAMLBearerAssertion.
      See Also:
        Constant Field Values

    - #### TOKEN_SERVICE_USER

          static final String TOKEN_SERVICE_USER

      Token service user property for OAuth2SAMLBearerAssertion.
      See Also:
        Constant Field Values

    - #### TOKEN_SERVICE_PASSWORD

          static final String TOKEN_SERVICE_PASSWORD

      Token service password property for OAuth2SAMLBearerAssertion.
      See Also:
        Constant Field Values

    - #### SYSTEM_USER

          static final String SYSTEM_USER

      System user property for OAuth2SAMLBearerAssertion.
      See Also:
        Constant Field Values

    - #### CLIENT_ID

          static final String CLIENT_ID

      System user property for OAuth2ClientCredentials.
      See Also:
        Constant Field Values

    - #### CLIENT_SECRET

          static final String CLIENT_SECRET

      System user property for OAuth2ClientCredentials.
      See Also:
        Constant Field Values

    - #### ISSUER_SID

          static final String ISSUER_SID

      Issuer SID property for SAPAssertionSSO.
      See Also:
        Constant Field Values

    - #### RECIPIENT_SID

          static final String RECIPIENT_SID

      Recipient SID property for SAPAssertionSSO.
      See Also:
        Constant Field Values

    - #### ISSUER_CLIENT

          static final String ISSUER_CLIENT

      Issuer client property for SAPAssertionSSO.
      See Also:
        Constant Field Values

    - #### RECIPIENT_CLIENT

          static final String RECIPIENT_CLIENT

      Recipient client property for SAPAssertionSSO.
      See Also:
        Constant Field Values

    - #### CERTIFICATE

          static final String CERTIFICATE

      Certificate property for SAPAssertionSSO.
      See Also:
        Constant Field Values

    - #### SIGNING_KEY

          static final String SIGNING_KEY

      Signing key property for SAPAssertionSSO.
      See Also:
        Constant Field Values

    - #### USER

          static final String USER

      User property for Basic authentication.
      See Also:
        Constant Field Values

    - #### PASSWORD

          static final String PASSWORD

      Password property for Basic authentication.
      See Also:
        Constant Field Values

    - #### AUTHENTICATION

          static final String AUTHENTICATION

      Authentication property.
      See Also:
        Constant Field Values

    - #### NO_AUTHENTICATION

          static final String NO_AUTHENTICATION

      Authentication type - No authentication.
      See Also:
        Constant Field Values

    - #### BASIC_AUTHENTICATION

          static final String BASIC_AUTHENTICATION

      Authentication type - Basic.
      See Also:
        Constant Field Values

    - #### CLIENT_CERTIFICATE_AUTHENTICATION

          static final String CLIENT_CERTIFICATE_AUTHENTICATION

      Authentication type - Client Certificate Authentication.
      See Also:
        Constant Field Values

    - #### SAP_ASSERTION_SSO

          static final String SAP_ASSERTION_SSO

      Authentication type - SAP Assertion SSO.
      See Also:
        Constant Field Values

    - #### APP_TO_APP_SSO

          static final String APP_TO_APP_SSO

      Authentication type - App to App SSO.
      See Also:
        Constant Field Values

    - #### PRINCIPAL_PROPAGATION

          static final String PRINCIPAL_PROPAGATION

      Authentication type - Principal propagation.
      See Also:
        Constant Field Values

    - #### OAUTH_2_SAML_BEARER_ASSERTION

          static final String OAUTH_2_SAML_BEARER_ASSERTION

      Authentication type - OAuth2 SAML Bearer Assertion.
      See Also:
        Constant Field Values

    - #### OAUTH_2_CLIENT_CREDENTIALS

          static final String OAUTH_2_CLIENT_CREDENTIALS

      Authentication type - OAuth2 Client Credentials.
      See Also:
        Constant Field Values

    - #### CLOUD_CONNECTOR_VERSION

          static final String CLOUD_CONNECTOR_VERSION

      Cloud Connector version property.
      See Also:
        Constant Field Values

    - #### LOCATION_ID

          static final String LOCATION_ID

      The cloud connector location id property for HTTP destinations.
      See Also:
        Constant Field Values

    - #### TRUST_ALL

          static final String TRUST_ALL

      TrustAll property.
      See Also:
        Constant Field Values

    - #### NAME_QUALIFIER

          static final String NAME_QUALIFIER

      OAuth2SAMLBearerAssertion property - nameQualifier.
      See Also:
        Constant Field Values

    - #### COMPANY_ID

          static final String COMPANY_ID

      OAuth2SAMLBearerAssertion property - companyId.
      See Also:
        Constant Field Values

    - #### ASSERTION_ISSUER

          static final String ASSERTION_ISSUER

      OAuth2SAMLBearerAssertion property - assertionIssuer.
      See Also:
        Constant Field Values

    - #### SCOPE

          static final String SCOPE

      OAuth2SAMLBearerAssertion property - scope.
      See Also:
        Constant Field Values

Copyright © 2020 SAP. All Rights Reserved.